///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class CheckoutOrderItems {
/*
{
  "quantity": 1,
  "unitPrice": 750000,
  "totalPrice": 750000,
  "name": "RACING BOY",
  "type": "KIS",
  "refId": 169
}
*/

  int? quantity;
  int? unitPrice;
  int? totalPrice;
  String? name;
  String? type;
  int? refId;

  CheckoutOrderItems({
    this.quantity,
    this.unitPrice,
    this.totalPrice,
    this.name,
    this.type,
    this.refId,
  });
  CheckoutOrderItems.fromJson(Map<String, dynamic> json) {
    quantity = json['quantity']?.toInt();
    unitPrice = json['unitPrice']?.toInt();
    totalPrice = json['totalPrice']?.toInt();
    name = json['name']?.toString();
    type = json['type']?.toString();
    refId = json['refId']?.toInt();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['quantity'] = quantity;
    data['unitPrice'] = unitPrice;
    data['totalPrice'] = totalPrice;
    data['name'] = name;
    data['type'] = type;
    data['refId'] = refId;
    return data;
  }
}

class CheckoutOrder {
/*
{
  "id": 1,
  "items": [
    {
      "quantity": 1,
      "unitPrice": 750000,
      "totalPrice": 750000,
      "name": "RACING BOY",
      "type": "KIS",
      "refId": 169
    }
  ],
  "totalPrice": 970000
}
*/

  int? id;
  List<CheckoutOrderItems?>? items;
  int? totalPrice;

  CheckoutOrder({
    this.id,
    this.items,
    this.totalPrice,
  });
  CheckoutOrder.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    if (json['items'] != null) {
      final v = json['items'];
      final arr0 = <CheckoutOrderItems>[];
      v.forEach((v) {
        arr0.add(CheckoutOrderItems.fromJson(v));
      });
      items = arr0;
    }
    totalPrice = json['totalPrice']?.toInt();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    if (items != null) {
      final v = items;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v!.toJson());
      });
      data['items'] = arr0;
    }
    data['totalPrice'] = totalPrice;
    return data;
  }
}
